×

Discussion Board

Page 1 of 2 12 LastLast
Results 1 to 15 of 18
  1. #1
    Registered User
    Join Date
    Nov 2008
    Location
    TVM, India
    Posts
    3

    Question Unable to configure Qt for S60 -- :(

    hi,

    I followed the instruction as given in
    http://pepper.troll.no/s60prerelease...pensource.html

    and also the video cast

    http://trolltech.com/products/device...your-s60-phone

    but at the time of configuring Qt for S60 with

    configure -platform win32-mwc -xplatform symbian-abld -qconfig symbian

    I am getting the following error

    //----------------------------------

    C:\Qt\4.4.2-pyramid>configure -platform win32-mwc -xplatform symbian-abld -qconf
    ig symbian

    This is the Qt for S60 Open Source Edition.

    You are licensed to use this software under the terms of
    the GNU General Public License (GPL) version 2 or 3.

    Type '2' to view the GNU General Public License version 2 (GPLv2).
    Type '3' to view the GNU General Public License version 3 (GPLv3).
    Type 'y' to accept this license offer.
    Type 'n' to decline this license offer.

    Do you accept the terms of the license?
    y
    Environment:
    INCLUDE=
    Unset
    LIB=
    Unset
    PATH=
    c:\Qt\4.4.2-pyramid\bin
    C:\Program Files\PC Connectivity Solution\
    C:\Program Files\CSL Arm Toolchain\bin
    C:\Program Files\Common Files\Symbian\Tools\
    C:\Perl\bin\
    C:\WINDOWS\system32
    C:\WINDOWS
    C:\WINDOWS\System32\Wbem

    You are licensed to use this software under the terms of the GNU GPL version 2 o
    r 3.
    See C:/Qt/4.4.2-pyramid/LICENSE.GPL2
    or C:/Qt/4.4.2-pyramid/LICENSE.GPL3

    Configuration:
    dist-config
    large-config
    medium-config
    minimal-config
    small-config
    symbian-config
    build_all
    debug
    cross_compile
    Qt Configuration:
    release
    debug
    zlib
    png
    ipv6
    svg

    QMAKESPEC...................symbian-abld (commandline)
    Architecture................symbian
    Maketool....................make
    Debug symbols...............yes
    Accessibility support.......no
    STL support.................no
    Exception support...........no
    RTTI support................no
    MMX support.................no
    3DNOW support...............no
    SSE support.................no
    SSE2 support................no
    IWMMXT support..............no
    OpenGL support..............no
    Direct3D support............no
    OpenSSL support.............no
    QtDBus support..............no
    QtXmlPatterns support.......no
    Phonon support..............no
    WebKit support..............no
    Qt3 compatibility...........no

    Third Party Libraries:
    ZLIB support............qt
    GIF support.............plugin
    TIFF support............plugin
    JPEG support............plugin
    PNG support.............qt
    MNG support.............plugin

    Styles:
    Windows.................yes
    Windows XP..............no
    Windows Vista...........no
    Plastique...............no
    Cleanlooks..............no
    Motif...................no
    CDE.....................no
    Windows CE..............no
    Windows Mobile..........no

    Sql Drivers:
    ODBC....................no
    MySQL...................no
    OCI.....................no
    PostgreSQL..............no
    TDS.....................no
    DB2.....................no
    SQLite..................plugin (qt)
    SQLite2.................no
    InterBase...............no

    Sources are in..............C:\Qt\4.4.2-pyramid
    Build is done in............C:\Qt\4.4.2-pyramid
    Install prefix..............
    Headers installed to........
    Libraries installed to......
    Plugins installed to........\resource\qt\plugins
    Binaries installed to.......
    Docs installed to...........
    Data installed to...........
    Translations installed to...
    Examples installed to.......
    Demos installed to..........

    Running syncqt...
    Creating qmake...
    mwccsym2 -gccinc -stackcommit 1024000 -stackreserve 1024000 -w all -w nonotused
    -w nonotinlined -w noimplicit -w nopadding -w noemptydecl -w nounusedexpr -c -o
    project.o -O -I. -Igenerators -Igenerators\unix -Igenerators\win32 -Igenerators\
    mac -Igenerators\symbian -IC:\Qt\4.4.2-pyramid\include -IC:\Qt\4.4.2-pyramid\inc
    lude\QtCore -IC:\Qt\4.4.2-pyramid\include -IC:\Qt\4.4.2-pyramid\include\QtCore -
    IC:\Qt\4.4.2-pyramid\src\corelib\global -IC:\Qt\4.4.2-pyramid\mkspecs\win32-mwc
    -DQT_NO_TEXTCODEC -DQT_NO_UNICODETABLES -DQT_LITE_COMPONENT -DQT_NO_PCRE -DQT_NO
    DLL -DQT_NO_STL -DQT_NO_COMPRESS -DHAVE_QCONFIG_CPP -DQT_BUILD_QMAKE -DQT_NO_THR
    EAD -DQT_NO_QOBJECT -DQT_NO_GEOM_VARIANT -DQT_NO_DATASTREAM -DQT_NO_LIBRARY -IC:
    \Qt\4.4.2-pyramid\include\QtScript -DQMAKE_OPENSOURCE_EDITION project.cpp
    process_begin: CreateProcess((null), mwccsym2 -gccinc -stackcommit 1024000 -stac
    kreserve 1024000 -w all -w nonotused -w nonotinlined -w noimplicit -w nopadding
    -w noemptydecl -w nounusedexpr -c -o project.o -O -I. -Igenerators -Igenerators\
    unix -Igenerators\win32 -Igenerators\mac -Igenerators\symbian -IC:\Qt\4.4.2-pyra
    mid\include -IC:\Qt\4.4.2-pyramid\include\QtCore -IC:\Qt\4.4.2-pyramid\include -
    IC:\Qt\4.4.2-pyramid\include\QtCore -IC:\Qt\4.4.2-pyramid\src\corelib\global -IC
    :\Qt\4.4.2-pyramid\mkspecs\win32-mwc -DQT_NO_TEXTCODEC -DQT_NO_UNICODETABLES -DQ
    T_LITE_COMPONENT -DQT_NO_PCRE -DQT_NODLL -DQT_NO_STL -DQT_NO_COMPRESS -DHAVE_QCO
    NFIG_CPP -DQT_BUILD_QMAKE -DQT_NO_THREAD -DQT_NO_QOBJECT -DQT_NO_GEOM_VARIANT -D
    QT_NO_DATASTREAM -DQT_NO_LIBRARY -IC:\Qt\4.4.2-pyramid\include\QtScript -DQMAKE_
    OPENSOURCE_EDITION project.cpp, ...) failed.
    make (e=2): The system cannot find the file specified.
    C:\Symbian\9.2\S60_3rd_FP1\epoc32\tools\make.exe: *** [project.o] Error 2
    Creating makefiles in src...
    Generating Makefiles...
    execute: File or path is not found (C:\Qt\4.4.2-pyramid\bin\qmake)
    Qmake failed, return code -1


    C:\Qt\4.4.2-pyramid>


    //----------------------------------

    the environment settings are

    C:\Qt\4.4.2-pyramid>path
    PATH=c:\Qt\4.4.2-pyramid\bin;C:\Program Files\PC Connectivity Solution\;C:\Progr
    am Files\CSL Arm Toolchain\bin;C:\Program Files\Common Files\Symbian\Tools\;C:\P
    erl\bin\;C:\WINDOWS\system32;C:\WINDOWS;C:\WINDOWS\System32\Wbem;

    and for EPOCROOT

    C:\Qt\4.4.2-pyramid>echo %EPOCROOT%
    \Symbian\9.2\S60_3rd_FP1\

  2. #2
    Registered User
    Join Date
    Dec 2006
    Posts
    2,280

    Re: Unable to configure Qt for S60 -- :(

    Hi,

    You've missed a small but important step. Make sure all of your command prompts are closed and then configure Carbide.c++ for the command line environment. Something like:
    Start->All Programs->Carbide.c++ v1.3->Configure environment for WINSCW command line.

    At the moment it is failing to build the tools like qmake because it can't find the WINSCW compiler.

    Hope that helps,

    Sorcery

  3. #3
    Registered User
    Join Date
    Nov 2008
    Location
    TVM, India
    Posts
    3

    Re: Unable to configure Qt for S60 -- :(

    cool Sorcery, That did resolve my prob... gr8t..

    Right now its compiling and I am keeping my fingers crossed..

    Thanks once again..
    Rp

  4. #4
    Regular Contributor
    Join Date
    May 2007
    Posts
    468

    Re: Unable to configure Qt for S60 -- :(

    Thanks Sorcery for your valuable help!

    We're working on the coming Qt S60 release and to improve the instructions, many even very experienced developers have had problems with it so you're not alone!

    I'll update this forum once we have the new release with improved instructions.

    Once again thanks!

    Cheers,
    Jack

  5. #5
    Regular Contributor
    Join Date
    Dec 2008
    Posts
    84

    Re: Unable to configure Qt for S60 -- :(

    I'm having more or less the same problem (I think).

    I tried to configure Qt for S60 from the instructions at http://pepper.troll.no/s60prerelease...stall-s60.html.

    AT step 4 I tried to run the following in the \Qt\4.4.4-temple directory...

    Code:
    configure -platform win32-mwc -xplatform symbian-abld -qconfig symbian
    ...but I got the following error:

    Code:
    Invalid option "win32-mwc" for -platform.
    See the README file for a list of supported operating systems an compilers.
    Invalid option "symbian-abld" for -xplatform.
    No such configuration "symbian"
    I then tried to run...

    Code:
    C:\Program Files\Nokia\Carbide.c++ v2.0\x86Build\env_switch\env_update.exe
    ...as suggested below, but got the following error:

    Code:
    Current working directory is: C:\Program Files\Nokia\Carbide.c++ v2.0\x86Build\env_switch
    Tools will be located at C:\Program Files\Nokia\Carbide.c++ v2.0\x86Build\Symbian_Tools\Command_Line_Tools
    !!!WARNING!!!
    Proposed PATH change is longer than 1023 characters.
    Proposed PATH change is not applied
    Please remove unused entry among your PATH variable to make it shorter and rerun env_update.exe
    Does this mean my PATH variable is too long, or that the attempted addition to it is too long? Is it because of the spaces in the path (just a wild guess)?

    I'd love to get Qt running on S60 -- any suggestions much appreciated.

    Sam Dutton

  6. #6
    Super Contributor
    Join Date
    Dec 2005
    Location
    England,UK
    Posts
    1,600

    Re: Unable to configure Qt for S60 -- :(

    Quote Originally Posted by samdutton View Post
    I'm having more or less the same problem (I think).

    [...] bit removed
    I then tried to run...


    Does this mean my PATH variable is too long, or that the attempted addition to it is too long? Is it because of the spaces in the path (just a wild guess)?



    Sam Dutton
    Hi Sam,
    You are right Carbide/symbian and windows XP wont work withspaces.
    Windows XP will ask the the Program Files directory be Quoted
    "Program Files" in the command shell. Basically throw back to days of Windows 3.1/DOS!!!.

    Therefore in Carbide any workspace failed if there is a space in the path, at least there is an error message now!.
    Good Luck
    Jim

  7. #7
    Regular Contributor
    Join Date
    Dec 2008
    Posts
    84

    Re: Unable to configure Qt for S60 -- :(

    Thanks Jim.

    I've managed to run env_update.exe, but still get this warning...

    Code:
    Invalid option "win32-mwc" for -platform.
    See the README file for a list of supported operating systems an compilers.
    Invalid option "symbian-abld" for -xplatform.
    No such configuration "symbian"
    ...when I run this:

    Code:
    configure -platform win32-mwc -xplatform symbian-abld -qconfig symbian
    Excuse my ignorance, but what does this mean? I'm using the S60 5th Edition SDK. Do I need to install the 3rd Edition (C++, not 'all-in-one') SDK instead?

    Sam

  8. #8
    Super Contributor
    Join Date
    Dec 2005
    Location
    England,UK
    Posts
    1,600

    Re: Unable to configure Qt for S60 -- :(

    Quote Originally Posted by samdutton View Post
    Thanks Jim.

    I've managed to run env_update.exe, but still get this warning...

    Code:
    Invalid option "win32-mwc" for -platform.
    See the README file for a list of supported operating systems an compilers.
    Invalid option "symbian-abld" for -xplatform.
    No such configuration "symbian"
    ...when I run this:

    Code:
    configure -platform win32-mwc -xplatform symbian-abld -qconfig symbian
    Excuse my ignorance, but what does this mean? I'm using the S60 5th Edition SDK. Do I need to install the 3rd Edition (C++, not 'all-in-one') SDK instead?

    Sam

    I dont think the path still contains the correct pointer to the compilers for Carbide. You need to use the env_update from the patch kit if using carbide 1.3
    Jim

  9. #9
    Regular Contributor
    Join Date
    Dec 2008
    Posts
    84

    Re: Unable to configure Qt for S60 -- :(

    Thanks Jim -- I did some reinstallation and got it all running.

    Sam

  10. #10
    Registered User
    Join Date
    May 2008
    Posts
    20

    Re: Unable to configure Qt for S60 -- :(

    I had similar problem to run the config command. After run the env_update.exe, I got a new problem:

    //----------------------------------

    C:\Symbian\Qt-4.4.4-temple>configure -platform win32-mwc -xplatform symbian-abld -qconfig symbian

    This is the Qt for S60 Preview Edition.

    You are licensed to use this software under the terms of
    the TECHNOLOGY PREVIEW LICENSE AGREEMENT.

    Type '?' to view the TECHNOLOGY PREVIEW LICENSE AGREEMENT.
    Type 'y' to accept this license offer.
    Type 'n' to decline this license offer.

    Do you accept the terms of the license?
    y
    Environment:
    INCLUDE=
    c:\Program Files\Microsoft Visual Studio .NET 2003\SDK\v1.1\include\
    LIB=
    c:\Program Files\Microsoft Visual Studio .NET 2003\SDK\v1.1\Lib\
    PATH=
    C:\Program Files\Nokia\Carbide.c++ v1.3\x86Build\Symbian_Tools\Command_Line_Tools
    C:\Perl\bin\
    C:\CYGWIN\BIN
    C:\Symbian\Qt-4.4.4-temple\bin
    C:\Program Files\MySQL\MySQL Server 5.1\bin
    C:\Program Files\Java\android-sdk-windows-1.0_r1\tools
    C:\Program Files\Java\jdk1.6.0_10\bin
    C:\Program Files\CSL Arm Toolchain\bin
    C:\Program Files\Common Files\Symbian\Tools
    C:\Program Files\Nokia\PC Connectivity Solution\
    C:\Program Files\QuickTime\QTSystem\
    C:\Program Files\TortoiseSVN\bin
    C:\Program Files\Microsoft SQL Server\90\Tools\binn\
    C:\Program Files\Common Files\Compuware
    C:\WINDOWS\system32
    C:\WINDOWS
    C:\WINDOWS\System32\Wbem
    C:\Program Files\SSH Communications Security\SSH Secure Shell
    Licensee....................
    License ID..................
    Product license.............Preview Edition
    Expiry Date.................

    Configuration:
    dist-config
    large-config
    medium-config
    minimal-config
    small-config
    symbian-config
    build_all
    debug
    cross_compile
    Qt Configuration:
    release
    debug
    zlib
    png
    ipv6
    svg

    QMAKESPEC...................symbian-abld (commandline)
    Architecture................symbian
    Maketool....................make
    Debug symbols...............yes
    Accessibility support.......no
    STL support.................no
    Exception support...........no
    RTTI support................no
    MMX support.................no
    3DNOW support...............no
    SSE support.................no
    SSE2 support................no
    IWMMXT support..............no
    OpenGL support..............no
    Direct3D support............no
    OpenSSL support.............no
    QtDBus support..............no
    QtXmlPatterns support.......no
    Phonon support..............no
    WebKit support..............no
    Qt3 compatibility...........no

    Third Party Libraries:
    ZLIB support............qt
    GIF support.............plugin
    TIFF support............plugin
    JPEG support............plugin
    PNG support.............qt
    MNG support.............plugin

    Styles:
    Windows.................yes
    Windows XP..............no
    Windows Vista...........no
    Plastique...............no
    Cleanlooks..............no
    Motif...................no
    CDE.....................no
    Windows CE..............no
    Windows Mobile..........no

    Sql Drivers:
    ODBC....................no
    MySQL...................no
    OCI.....................no
    PostgreSQL..............no
    TDS.....................no
    DB2.....................no
    SQLite..................plugin (qt)
    SQLite2.................no
    InterBase...............no

    Sources are in..............C:\Symbian\Qt-4.4.4-temple
    Build is done in............C:\Symbian\Qt-4.4.4-temple
    Install prefix..............
    Headers installed to........
    Libraries installed to......
    Plugins installed to........\resource\qt\plugins
    Binaries installed to.......
    Docs installed to...........
    Data installed to...........
    Translations installed to...
    Examples installed to.......
    Demos installed to..........

    Running syncqt...
    Creating qmake...
    Makefile:157: *** target pattern contains no `%'. Stop.
    Makefile:157: *** target pattern contains no `%'. Stop.
    Cleaning qmake failed, return code 2


    C:\Symbian\Qt-4.4.4-temple>

    //----------------------------------

    The Qt installation is unzipped from downloaded package "qt-embedded-s60-commercial-src-4.4.4-temple.zip". I had installed Carbide.c++ 1.3.1 and 2.0 (GCC instead of ARM compiler), S60 3rd FP1 SDK and 5th v0.9 with Qt packs (e.g., wsini.ini file and x86 Tools) installed. Both of them works. But I do not remember when and where the %EPOCROOT% gets defined:
    C:\Symbian\Qt-4.4.4-temple>echo %EPOCROOT%
    %EPOCROOT%

  11. #11
    Super Contributor
    Join Date
    Dec 2005
    Location
    England,UK
    Posts
    1,600

    Re: Unable to configure Qt for S60 -- :(

    Hi hyan,

    Quote Originally Posted by hyuan View Post
    I had similar problem to run the config command. After run the env_update.exe, I got a new problem:

    //----------------------------------

    C:\Symbian\Qt-4.4.4-temple>configure -platform win32-mwc -xplatform symbian-abld -qconfig symbian

    This is the Qt for S60 Preview Edition.


    Sources are in..............C:\Symbian\Qt-4.4.4-temple
    Build is done in............C:\Symbian\Qt-4.4.4-temple
    Install prefix..............
    Headers installed to........
    Libraries installed to......
    Plugins installed to........\resource\qt\plugins
    Binaries installed to.......
    Docs installed to...........
    Data installed to...........
    Translations installed to...
    Examples installed to.......
    Demos installed to..........

    Running syncqt...
    Creating qmake...
    Makefile:157: *** target pattern contains no `%'. Stop.
    Makefile:157: *** target pattern contains no `%'. Stop.
    Cleaning qmake failed, return code 2


    C:\Symbian\Qt-4.4.4-temple>

    //----------------------------------

    The Qt installation is unzipped from downloaded package "qt-embedded-s60-commercial-src-4.4.4-temple.zip". I had installed Carbide.c++ 1.3.1 and 2.0 (GCC instead of ARM compiler), S60 3rd FP1 SDK and 5th v0.9 with Qt packs (e.g., wsini.ini file and x86 Tools) installed. Both of them works. But I do not remember when and where the %EPOCROOT% gets defined:
    C:\Symbian\Qt-4.4.4-temple>echo %EPOCROOT%
    %EPOCROOT%

    Several points here. Run "devices" and check the compiler is correct.
    EPOCROOT is only use in carbide.C++ and comes from "devices" program
    The home install is wrong!. "C:\Symbian\Qt-4.4.4-temple" your path should be PATH=C:\Qt\4.4.4-temple\bin;%PATH% simply wont work in beta at anywhere else till a later release.

    Get the version http://pepper.troll.no/s60prerelease...t-20081230.zip
    and install at "C:\Qt-4.4.4-temple". I used a decompressor called WinRAR and then rename "qt-embedded-s60-commercial-src-4.4.4-snapshot-20081230" to C:\Qt\4.4.4-temple. Then set path PATH=C:\Qt\4.4.4-temple\bin;%PATH%
    then run configure

    as in the web page http://pepper.troll.no/s60prerelease...stall-s60.html

    This is done by adding c:\Qt\4.4.4-temple\bin to the PATH variable.

    On Windows the PATH can be extended by navigating to "Control Panel->System->Advanced->Environment variables".

    Configure Qt
    To configure Qt for S60, do:

    cd \Qt\4.4.4-temple configure -platform win32-mwc -xplatform symbian-abld -qconfig symbian
    see http://pepper.troll.no/s60prerelease...stall-s60.html
    Jim
    Last edited by jimgilmour1; 2009-01-06 at 09:07. Reason: spelling

  12. #12
    Registered User
    Join Date
    Dec 2006
    Posts
    2,280

    Re: Unable to configure Qt for S60 -- :(

    Just to clarify, the EPOCROOT environment variable was used in the Pyramid release but it is no longer required in the Temple release.

    Mark

    P.S. Samdutton's problem before was almost certainly a confilct with another (non-S60) version of Qt installed if anyone has a similar problem in the future - the solution is to modify the path environment variable so that it only contains the Qt on S60 version.

  13. #13
    Registered User
    Join Date
    May 2008
    Posts
    20

    Re: Unable to configure Qt for S60 -- :(

    Thanks Jim and Sorcery. I tried the suggestions by changed the installation location to C:\Qt\4.4.4-temple, downloaded & installed the new snapshot package, and run the "deivces" command and found/corrected the potential inconsistent default device. Unfortunately the problem is still the same.

    I'm wondering what is the error code 2, and what does it mean for the "target pattern contains no '%'" phase? Is the makefile looking for "%PATH" context in a certain path (or pattern)? Thanks.

    "
    Makefile:157: *** target pattern contains no `%'. Stop.
    Makefile:157: *** target pattern contains no `%'. Stop.
    Cleaning qmake failed, return code 2
    "

    //----------------------------------

    C:\Qt\4.4.4-temple>devices
    S60_5th_Edition_SDK_v0.9:com.nokia.s60
    S60_3rd_FP1:com.nokia.s60 - default

    C:\Qt\4.4.4-temple>path
    PATH=C:\Program Files\Nokia\Carbide.c++ v1.3\x86Build\Symbian_Tools\Command_Line_Tools;C:\Perl\bin\;
    C:\CYGWIN\BIN;C:\Qt\4.4.4-temple\bin;C:\Program Files\MySQL\MySQL Server 5.1\bin;C:\Program Files\Ja
    va\android-sdk-windows-1.0_r1\tools;C:\Program Files\Java\jdk1.6.0_10\bin;C:\Program Files\CSL Arm T
    oolchain\bin;C:\Program Files\Common Files\Symbian\Tools;C:\Program Files\Nokia\PC Connectivity Solu
    tion\;C:\Program Files\QuickTime\QTSystem\;C:\Program Files\TortoiseSVN\bin;C:\Program Files\Microso
    ft SQL Server\90\Tools\binn\;C:\Program Files\Common Files\Compuware;C:\WINDOWS\system32;C:\WINDOWS;
    C:\WINDOWS\System32\Wbem;C:\Program Files\SSH Communications Security\SSH Secure Shell

    C:\Qt\4.4.4-temple>configure -platform win32-mwc -xplatform symbian-abld -qconfig symbian

    This is the Qt for S60 Preview Edition.

    You are licensed to use this software under the terms of
    the TECHNOLOGY PREVIEW LICENSE AGREEMENT.

    Type '?' to view the TECHNOLOGY PREVIEW LICENSE AGREEMENT.
    Type 'y' to accept this license offer.
    Type 'n' to decline this license offer.

    Do you accept the terms of the license?
    y
    Environment:
    INCLUDE=
    c:\Program Files\Microsoft Visual Studio .NET 2003\SDK\v1.1\include\
    LIB=
    c:\Program Files\Microsoft Visual Studio .NET 2003\SDK\v1.1\Lib\
    PATH=
    C:\Program Files\Nokia\Carbide.c++ v1.3\x86Build\Symbian_Tools\Command_Line_Tools
    C:\Perl\bin\
    C:\CYGWIN\BIN
    C:\Qt\4.4.4-temple\bin
    C:\Program Files\MySQL\MySQL Server 5.1\bin
    C:\Program Files\Java\android-sdk-windows-1.0_r1\tools
    C:\Program Files\Java\jdk1.6.0_10\bin
    C:\Program Files\CSL Arm Toolchain\bin
    C:\Program Files\Common Files\Symbian\Tools
    C:\Program Files\Nokia\PC Connectivity Solution\
    C:\Program Files\QuickTime\QTSystem\
    C:\Program Files\TortoiseSVN\bin
    C:\Program Files\Microsoft SQL Server\90\Tools\binn\
    C:\Program Files\Common Files\Compuware
    C:\WINDOWS\system32
    C:\WINDOWS
    C:\WINDOWS\System32\Wbem
    C:\Program Files\SSH Communications Security\SSH Secure Shell
    Licensee....................
    License ID..................
    Product license.............Preview Edition
    Expiry Date.................

    Configuration:
    dist-config
    large-config
    medium-config
    minimal-config
    small-config
    symbian-config
    build_all
    debug
    cross_compile
    Qt Configuration:
    release
    debug
    zlib
    png
    ipv6
    svg

    QMAKESPEC...................symbian-abld (commandline)
    Architecture................symbian
    Maketool....................make
    Debug symbols...............yes
    Accessibility support.......no
    STL support.................no
    Exception support...........no
    RTTI support................no
    MMX support.................no
    3DNOW support...............no
    SSE support.................no
    SSE2 support................no
    IWMMXT support..............no
    OpenGL support..............no
    Direct3D support............no
    OpenSSL support.............no
    QtDBus support..............no
    QtXmlPatterns support.......no
    Phonon support..............no
    WebKit support..............no
    Qt3 compatibility...........no

    Third Party Libraries:
    ZLIB support............qt
    GIF support.............plugin
    TIFF support............plugin
    JPEG support............plugin
    PNG support.............qt
    MNG support.............plugin

    Styles:
    Windows.................yes
    Windows XP..............no
    Windows Vista...........no
    Plastique...............no
    Cleanlooks..............no
    Motif...................no
    CDE.....................no
    Windows CE..............no
    Windows Mobile..........no
    S60.....................yes

    Sql Drivers:
    ODBC....................no
    MySQL...................no
    OCI.....................no
    PostgreSQL..............no
    TDS.....................no
    DB2.....................no
    SQLite..................plugin (qt)
    SQLite2.................no
    InterBase...............no

    Sources are in..............C:\Qt\4.4.4-temple
    Build is done in............C:\Qt\4.4.4-temple
    Install prefix..............
    Headers installed to........
    Libraries installed to......
    Plugins installed to........\resource\qt\plugins
    Binaries installed to.......
    Docs installed to...........
    Data installed to...........
    Translations installed to...
    Examples installed to.......
    Demos installed to..........

    Running syncqt...
    Creating qmake...
    Makefile:157: *** target pattern contains no `%'. Stop.
    Makefile:157: *** target pattern contains no `%'. Stop.
    Cleaning qmake failed, return code 2

    //----------------------------------

  14. #14
    Registered User
    Join Date
    Dec 2006
    Posts
    2,280

    Re: Unable to configure Qt for S60 -- :(

    I'm not sure, have you tried looking at the makefile for qmake (line 157) to see what is causing the problem (it didn't help me)?

    The only other thing I've noticed that's visibly different about your environment is you have INCLUDE and LIB set for Visual Studio .Net, which you aren't actually using for Symbian builds I assume - no idea if this could cause the problem though.

    Sorcery

  15. #15
    Registered User
    Join Date
    May 2008
    Posts
    20

    Re: Unable to configure Qt for S60 -- :(

    I tried to remove the INCLUDE and LIB environment variables, there were no difference. Checked the Makefile, if "157" is line number, then it is the first file being compiled. I have no clue at this point...

    Anyway, the win32 demo is impressive on Windows XP. However when I rebuilt the demo project through Visual Studio 2008, one of the projects, the "recipes" complains a missing file 'ui_querywidget.h'. It was included under folder "Generated Files" in Solution Explorer tab window for this project, and used by moc_querymainwindow.cpp and qrc_recipes.cpp. But the file is not in the package (installed by qt-win-eval-4.4.3-vs2008.exe, or unzipped from qt-win-opensource-src-4.4.3.zip).

    Thanks.

Similar Threads

  1. Problems about maemo 4.0.1 SDK installation.
    By fgg_maemo in forum General Development Questions
    Replies: 3
    Last Post: 2008-10-07, 14:26
  2. Unable to configure Access Point on Nokia 6300
    By kapil_bsp in forum General Development Questions
    Replies: 2
    Last Post: 2008-10-07, 11:53
  3. Replies: 3
    Last Post: 2005-10-12, 05:26
  4. OTA SMS messages, how to configure DNS on 6600 mobiles?
    By mabollado in forum OMA DM/DS/CP
    Replies: 0
    Last Post: 2004-11-15, 15:14

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×